Subject: [Megaco] I-D ACTION:draft-ietf-megaco-callflows-00.txt

From: [email-masked]
Date: Mon, 25 Mar 2002 08:17:20 -0500

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Media Gateway Control Working Group of the IETF.

	Title		: Megaco/H.248 Call flow examples
	Author(s)	: M. Brahmanapally, P. Viswanadham, K. Gundamaraju
	Filename	: draft-ietf-megaco-callflows-00.txt
	Pages		: 270
	Date		: 20-Mar-02
	
This draft illustrates the usage of Megaco (version 1) 
protocol defined between the Media Gateway Controller and Media 
Gateway. In light of the vast features presently incorporated 
and continuously evolving features of the protocol, it serves the 
purpose of representing typical use case scenarios.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-megaco-callflows-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-megaco-callflows-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-megaco-callflows-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Aleksandr Ryabin <[email-masked]>
Date: Mon, 25 Mar 2002 10:23:32 -0500

Hi,
         I have a comment/question on usage of SDP when sent from MG to MGC.

Section 7.1.8 "Local and Remote Descriptors" in RFC says:
"When text encoding the protocol, the descriptors consist of session 
descriptions
as defined in SDP (RFC2327). In session descriptions sent from the MGC to 
the MG,
the following exceptions to the syntax of RFC 2327 are allowed:
the "s=", "t=" and "o=" lines are optional ..."

Which I guess implies that when SDP sent from MG to MGC then it should conform
RFC2327 and thus "s=", "t=" and "o=" lines must be present.

Yet everywhere in examples, including resent "Megaco/H.248 Call flow examples"
draft-ietf-megaco-callflows-00.txt these SDP parameters are missing in SDPs
sent from MG to MGC.

Can someone clarify ether these are also optional when sent from MG?
If yes, could you point to any wording in RFC/draft about it?

Thanks.
         Aleks

>http://www.ietf.org/internet-drafts/draft-ietf-megaco-callflows-00.txt
...

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Aleksandr Ryabin <[email-masked]>
Date: Mon, 25 Mar 2002 10:23:32 -0500

Hi,

Thanks.
         Aleks

...